# example code taken and modifed from
# http://code.activestate.com/recipes/576656-quick-python-profiling-with-hotshot/
# by Shaderman (www.dreambox-tools.info)

import hotshot, hotshot.stats

hotshotProfilers = {}
def hotshotit(func):
	def wrapper(*args, **kw):
		global hotshotProfilers
		prof_name = ''.join(["/tmp/", func.func_name, ".prof"])
		profiler = hotshotProfilers.get(prof_name)
		if profiler is None:
			profiler = hotshot.Profile(prof_name)
			hotshotProfilers[prof_name] = profiler
		return profiler.runcall(func, *args, **kw)
	return wrapper

